Summary: The CWEB System of Structured Documentation
Name: cweb
Version: 3.4g
Release: 3
Copyright: Freely redistributable and modifiable
Group: Development/Tools
Source: ftp://labrea.stanford.edu/pub/cweb/cweb3.4g.tar.gz
Patch: cweb-O2.patch
Requires: tetex
BuildRoot: /tmp/cweb-3.4g-3

%description
The philosophy behind CWEB is that programmers who want to provide the
best possible documentation for their programs need two things
simultaneously: a language like TeX for formatting, and a language
like C for programming. Neither type of language can provide the best
documentation by itself. But when both are appropriately combined, we
obtain a system that is much more useful than either language
separately.

Besides providing a documentation tool, CWEB enhances the C language
by providing the ability to permute pieces of the program text, so
that a large system can be understood entirely in terms of small
sections and their local interrelationships.

%prep
%setup -c
%patch -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
install -d -m 755 $RPM_BUILD_ROOT/usr/bin/
install -d -m 755 $RPM_BUILD_ROOT/usr/lib/texmf/texmf/tex/cweb/
install -d -m 755 $RPM_BUILD_ROOT/usr/lib/emacs/site-lisp/
install -d -m 755 $RPM_BUILD_ROOT/usr/man/man1/

install -s -m 755 ctangle $RPM_BUILD_ROOT/usr/bin/ctangle
install -s -m 755 cweave $RPM_BUILD_ROOT/usr/bin/cweave
install -m 644 cwebmac.tex \
	$RPM_BUILD_ROOT/usr/lib/texmf/texmf/tex/cweb/cwebmac.tex
install -m 644 cweb.el $RPM_BUILD_ROOT/usr/lib/emacs/site-lisp/cweb.el
install -m 644 cweb.1 $RPM_BUILD_ROOT/usr/man/man1/cweb.1

%files
%attr(-,root,root) /usr/bin/ctangle
%attr(-,root,root) /usr/bin/cweave
%dir %attr(-,root,root) /usr/lib/texmf/texmf/tex/cweb
%attr(-,root,root) /usr/lib/texmf/texmf/tex/cweb/cwebmac.tex
%attr(-,root,root) /usr/lib/emacs/site-lisp/cweb.el
%attr(-,root,root) /usr/man/man1/cweb.1
%doc %attr(-,root,root) README
%doc %attr(-,root,root) cwebman.tex
%doc %attr(-,root,root) prod.w
%doc %attr(-,root,root) examples

%post
texconfig rehash
%postun
texconfig rehash
